# Interface IRankingFunction

Describe a ranking function that can be executed against the index.
See: Ranking Functions

## Index

### Properties

- expression
- normalizeWeight

## Properties

### expression

expression: string

- Defined in rest/RankingFunction.ts :9

The mathematical expression that calculates the ranking value to add to the result score.

### normalizeWeight

normalizeWeight: boolean

- Defined in rest/RankingFunction.ts :13

Whether to normalize the value using the standard index scale or not. If you don't want to completely override the index ranking and use the qrf as a boost, you should turn this on.

### Hierarchy

- IRankingFunction